=== debian/changelog ===
tde-style-baghira-trinity (4:14.1.0-0ubuntu21.10.0+0) impish; urgency=low

  * Automated git build for r14.1.0
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.0#tde-style-baghira

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 10 Mar 2023 08:22:42 +0100

tde-style-baghira-trinity (0.8-1debian7.0.0+0) wheezy; urgency=low

  * Initial Release for TDE

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 26 Mar 2016 00:34:04 +0100

baghira (0.8-1) unstable; urgency=low

  * New upstream version

 -- Jose Luis Tallon <jltallon@adv-solutions.net>  Wed, 25 Oct 2006 0:52:07 +0200

baghira (0.7+cvs20060507-2) unstable; urgency=low

  * Restore missing libtool support files (Closes: #368015)

  * Package sponsored by Roberto Lumbreras <rover@debian.org>

 -- Jose Luis Tallon <jltallon@adv-solutions.net>  Fri, 20 May 2006 21:54:39 +0200

baghira (0.7+cvs20060507-1) unstable; urgency=low

  * New upstream version
    - Fixes for g++4.1 (Closes: #356583)
    - Sidebar builds natively (Closes: #345872)
    - Sidebar uses proper remote:/ handler (Closes: #345833)

  * Rebuild
    - new C++ ABI (Closes: #327935)
    - newer autotools/libtool (Closes: #343957)
    - Build with KDE 3.5.2 tools

  * Package sponsored by Roberto Lumbreras <rover@debian.org>

 -- Jose Luis Tallon <jltallon@adv-solutions.net>  Fri, 12 May 2006  4:33:17 +0200

baghira (0.7a-1) unstable; urgency=low

  * New upstream version
    - Upstream removed all icons whose license was unclear and 

  * Rebuild with new C++ ABI (Closes: #327935)
    - Build with KDE3.4 tools: fix compilation errors (Closes: #325820)

  * Packaging enhancements:
    - Ensure proper installation dir for documentation

  * Package sponsored by Roberto Lumbreras <rover@debian.org>

 -- Jose Luis Tallon <jltallon@adv-solutions.net>  Fri, 30 Sep 2005 15:32:28 +0200

baghira (0.6f-1) unstable; urgency=medium

  * New upstream version
    - Upstream removed all icons whose license was unclear and 
      replaced them with his original artwork [along with the SVG source,
      so this won't even be an issue with Etch] (Closes: #298294)
      (urgency->medium)
    - Backported to KDE3.3 with assistance from upstream, so that it can
      compile and run with current "testing" packages.

  * Build enhancements:
    - removed "strip" options in debian/rules; just dh_strip is enough.

  * Package sponsored by Roberto Lumbreras <rover@debian.org>

 -- Jose Luis Tallon <jltallon@adv-solutions.net>  Thu, 05 May 2005 19:01:17 +0200

baghira (0.6a-1) unstable; urgency=low

  * New upstream version (Closes: #292161)
    - Includes fix for 64bit platforms (Closes: #285349)

  * Modified BAB's manpage so that it goes into section 1 (Closes: #284775)

  * Package sponsored by Roberto Lumbreras <rover@debian.org>

 -- Jose Luis Tallon <jltallon@adv-solutions.net>  Thu, 27 Jan 2005 17:08:59 +0100

baghira (0.6-1) unstable; urgency=low

  * New upstream version

  * Package sponsored by Roberto Lumbreras <rover@debian.org>

 -- Jose Luis Tallon <jltallon@adv-solutions.net>  Fri, 19 Nov 2004 01:47:46 +0100

baghira (0.5h-1) unstable; urgency=low

  * First upload to Debian Archive. Fullfill ITP (Closes: #277582)

  * Package sponsored by Roberto Lumbreras <rover@debian.org>

 -- Jose Luis Tallon <jltallon@adv-solutions.net>  Fri, 22 Oct 2004 02:41:46 +0200
