## tde-style-baghira-trinity 14.1.3

=== debian/changelog ===
tde-style-baghira-trinity (4:14.1.3-0ubuntu23.04.0+0) lunar; urgency=low

  * Automated git build for r14.1.3
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.3#tde-style-baghira

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 14 Aug 2024 23:07:41 +0200
