## tde-style-baghira-trinity 14.1.5

=== config/CMakeLists.txt ===

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
  ${X11_INCLUDE_DIR}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIBRARY_DIRS}
  ${X11_LIBRARY_DIRS}
)


##### pixmaps.h (header)

set( _pics ${CMAKE_SOURCE_DIR}/imagebase/button-base
           ${CMAKE_SOURCE_DIR}/imagebase/button-shadow
           ${CMAKE_SOURCE_DIR}/imagebase/brush-me
)

set( _header pixmaps.h )

add_custom_command(
    OUTPUT  ${_header}  
    COMMAND
      ${UIC_EXECUTABLE} -embed baghira ${_pics} |
      ${SED_EXECUTABLE}
        -e 's|void qInitImages_baghira|static void qInitImages_baghira|'
        -e 's|void qCleanupImages_baghira|static void qCleanupImages_baghira|'
      > ${_header}
    DEPENDS ${_pics}
)


##### tdestyle_baghira_config (kpart)

set_source_files_properties(
    tdestyle_baghira_config.cpp colordialog.cpp
    PROPERTIES OBJECT_DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/${_header}
)


tde_add_kpart( tdestyle_baghira_config AUTOMOC

  SOURCES
        configdialog.ui
        help.ui about.ui
        tdestyle_baghira_config.cpp
        colordialog.cpp
        colorpicker.cpp
  LINK
     tdecore-shared
     tdeui-shared
     tdeio-shared

  DESTINATION ${PLUGIN_INSTALL_DIR}
)
