=== deco/CMakeLists.txt ===
tde_import( twin )

add_subdirectory( config )

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
  ${X11_INCLUDE_DIR}
  ${XEXT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIBRARY_DIRS}
  ${X11_LIBRARY_DIRS}
  ${XEXT_LIBRARY_DIRS}
)


##### pixmaps.h (header)

set( _pics ${CMAKE_SOURCE_DIR}/imagebase/brushed-gradient
           ${CMAKE_SOURCE_DIR}/imagebase/brushed-tile
           ${CMAKE_SOURCE_DIR}/imagebase/button_jaguar
           ${CMAKE_SOURCE_DIR}/imagebase/button_jaguar_down
           ${CMAKE_SOURCE_DIR}/imagebase/button_jaguar_menu
           ${CMAKE_SOURCE_DIR}/imagebase/button_jaguar_menu_down
           ${CMAKE_SOURCE_DIR}/imagebase/button_milk
           ${CMAKE_SOURCE_DIR}/imagebase/button_milk_down
           ${CMAKE_SOURCE_DIR}/imagebase/button_milk_menu
           ${CMAKE_SOURCE_DIR}/imagebase/button_milk_menu_down
           ${CMAKE_SOURCE_DIR}/imagebase/button_panther
           ${CMAKE_SOURCE_DIR}/imagebase/button_panther_menu
           ${CMAKE_SOURCE_DIR}/imagebase/deco_glossy
           ${CMAKE_SOURCE_DIR}/imagebase/icon_above
           ${CMAKE_SOURCE_DIR}/imagebase/icon_behind
           ${CMAKE_SOURCE_DIR}/imagebase/icon_close
           ${CMAKE_SOURCE_DIR}/imagebase/icon_help
           ${CMAKE_SOURCE_DIR}/imagebase/icon_maximize
           ${CMAKE_SOURCE_DIR}/imagebase/icon_minimize
           ${CMAKE_SOURCE_DIR}/imagebase/icon_shade
           ${CMAKE_SOURCE_DIR}/imagebase/icon_sticky
)

set( _header pixmaps.h )

add_custom_command(
    OUTPUT  ${_header}  
    COMMAND ${UIC_EXECUTABLE}
    ARGS -o ${_header} -embed baghira ${_pics}
    DEPENDS ${_pics}
)

##### twin3_baghira (kpart)

set_source_files_properties(
    baghiraclient.cpp
    PROPERTIES OBJECT_DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/${_header}
)

tde_add_kpart( twin3_baghira AUTOMOC

  SOURCES
        baghiraclient.cpp
  LINK
     tdecore-shared
     tdeui-shared
     tdecorations-shared
     ${X11_LIBRARIES}
     ${XEXT_LIBRARIES}

  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### other data

tde_create_translated_desktop(
    SOURCE baghira.desktop
    DESTINATION ${DATA_INSTALL_DIR}/twin
)
