=== icons/CMakeLists.txt ===
##### icons

tde_install_icons()
