=== kickermenu-3.3/CMakeLists.txt ===

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
  ${X11_INCLUDE_DIR}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIBRARY_DIRS}
  ${X11_LIBRARY_DIRS}
)


##### b_menu_panelapplet (kpart)

tde_add_kpart( b_menu_panelapplet AUTOMOC

  SOURCES
        menuapplet.cpp
        menuapplet.skel
  LINK
     tdecore-shared
     tdeui-shared

  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### other data

tde_create_translated_desktop(
    SOURCE b_menuapplet.desktop
    DESTINATION ${DATA_INSTALL_DIR}/kicker/applets
)
