=== sessionapplet/CMakeLists.txt ===

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIBRARY_DIRS}
)


##### usermanager_panelapplet (shared)

tde_add_library( usermanager_panelapplet MODULE AUTOMOC

  SOURCES
        usermanager.cpp
        dmctl.cpp
  LINK
     tdeui-shared
     tdecore-shared

  DESTINATION ${LIB_INSTALL_DIR}
)


##### other data

tde_create_translated_desktop(
    SOURCE usermanager.desktop
    DESTINATION ${DATA_INSTALL_DIR}/kicker/applets
    OUTPUT_NAME baghira-usermanager.desktop
)
