=== sidebar/CMakeLists.txt ===

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIBRARY_DIRS}
)


##### konqsidebar_baghirasidebar (kpart)

tde_add_kpart( konqsidebar_baghirasidebar AUTOMOC

  SOURCES
        linkconfig.ui
        baghirasidebariface.skel
        ../starter/baghiralinkdrag.cpp
        baghirasidebar.cpp
        linkview.cpp
        listboxlink.cpp
        dndlistbox.cpp   
  LINK
     tdecore-shared
     tdeui-shared
     tdeio-shared
     tdeparts-shared
     konqsidebarplugin-shared

  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### other data

tde_create_translated_desktop(
    SOURCE baghirasidebar_add.desktop
    DESTINATION ${DATA_INSTALL_DIR}/konqsidebartng/add
)

tde_create_translated_desktop(
    SOURCE baghirasidebar.desktop
    DESTINATION ${DATA_INSTALL_DIR}/konqsidebartng/entries
)

install(
    FILES ../imagebase/poof.png
    DESTINATION ${DATA_INSTALL_DIR}/baghira
)
