=== starter/CMakeLists.txt ===

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
  ${X11_INCLUDE_DIR}
  ${X11_XTEST_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIBRARY_DIRS}
  ${X11_LIBRARY_DIRS}
  ${X11_XTEST_LIBRARY_DIRS}
)


##### baghirastarter (shared)

tde_add_library( baghirastarter SHARED AUTOMOC

  SOURCES
        starterconfig.ui
        starterhelp.ui
        configdialog.ui
        help.ui
        linkconfig.ui
        starteriface.skel
        baghiralinkdrag.cpp
        menu.cpp starter.cpp
  LINK
     tdeui-shared
     tdecore-shared
     tdeio-shared
     ${X11_XTEST_LIBRARIES}

  DESTINATION ${LIB_INSTALL_DIR}
)


##### icons

tde_install_icons()


##### other data

install(
    FILES ../imagebase/poof.png
    DESTINATION ${DATA_INSTALL_DIR}/baghira
)

tde_create_translated_desktop(
    SOURCE starter.desktop
    DESTINATION ${DATA_INSTALL_DIR}/kicker/applets
    OUTPUT_NAME baghira-starter.desktop
)
