=== style/CMakeLists.txt ===
include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
  ${X11_INCLUDE_DIR}
  ${X11_XTEST_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIBRARY_DIRS}
  ${X11_LIBRARY_DIRS}
  ${X11_XTEST_LIBRARY_DIRS}
)


##### pixmaps.h (header)

set( _pics ${CMAKE_SOURCE_DIR}/imagebase/brushed-gradient
           ${CMAKE_SOURCE_DIR}/imagebase/brushed-tile
           ${CMAKE_SOURCE_DIR}/imagebase/button-base
           ${CMAKE_SOURCE_DIR}/imagebase/button-milk
           ${CMAKE_SOURCE_DIR}/imagebase/button-glow
           ${CMAKE_SOURCE_DIR}/imagebase/button-jaguar
           ${CMAKE_SOURCE_DIR}/imagebase/button-shadow
           ${CMAKE_SOURCE_DIR}/imagebase/checkbox
           ${CMAKE_SOURCE_DIR}/imagebase/checkboxdown
           ${CMAKE_SOURCE_DIR}/imagebase/checkbox-milk
           ${CMAKE_SOURCE_DIR}/imagebase/checkboxdown-milk
           ${CMAKE_SOURCE_DIR}/imagebase/combo
           ${CMAKE_SOURCE_DIR}/imagebase/combo-milk
           ${CMAKE_SOURCE_DIR}/imagebase/combo-jaguar
           ${CMAKE_SOURCE_DIR}/imagebase/combo-shadow
           ${CMAKE_SOURCE_DIR}/imagebase/progress
           ${CMAKE_SOURCE_DIR}/imagebase/progress2
           ${CMAKE_SOURCE_DIR}/imagebase/radio
           ${CMAKE_SOURCE_DIR}/imagebase/radio_down
           ${CMAKE_SOURCE_DIR}/imagebase/radio-milk
           ${CMAKE_SOURCE_DIR}/imagebase/radio_down-milk
           ${CMAKE_SOURCE_DIR}/imagebase/rectbutton
           ${CMAKE_SOURCE_DIR}/imagebase/roundFrame
           ${CMAKE_SOURCE_DIR}/imagebase/sbgroove_btm
           ${CMAKE_SOURCE_DIR}/imagebase/sbgroove_mid
           ${CMAKE_SOURCE_DIR}/imagebase/sbgroove_top
           ${CMAKE_SOURCE_DIR}/imagebase/sbIslider_mid
           ${CMAKE_SOURCE_DIR}/imagebase/sbslider_btm
           ${CMAKE_SOURCE_DIR}/imagebase/sbslider_btm_shd
           ${CMAKE_SOURCE_DIR}/imagebase/sbslider_mid
           ${CMAKE_SOURCE_DIR}/imagebase/sbslider_top
           ${CMAKE_SOURCE_DIR}/imagebase/sbslider_top_shd
           ${CMAKE_SOURCE_DIR}/imagebase/sb_subadd
           ${CMAKE_SOURCE_DIR}/imagebase/sliderarrow
           ${CMAKE_SOURCE_DIR}/imagebase/sbgroove_btm-milk
           ${CMAKE_SOURCE_DIR}/imagebase/sbgroove_mid-milk
           ${CMAKE_SOURCE_DIR}/imagebase/sbgroove_top-milk
           ${CMAKE_SOURCE_DIR}/imagebase/sbslider_btm-milk
           ${CMAKE_SOURCE_DIR}/imagebase/sbslider_mid-milk
           ${CMAKE_SOURCE_DIR}/imagebase/sbslider_top-milk
           ${CMAKE_SOURCE_DIR}/imagebase/sb_subadd-milk
           ${CMAKE_SOURCE_DIR}/imagebase/sliderarrow-milk
           ${CMAKE_SOURCE_DIR}/imagebase/tab
           ${CMAKE_SOURCE_DIR}/imagebase/tab-milk
           ${CMAKE_SOURCE_DIR}/imagebase/tab-jaguar
)

set( _header pixmaps.h )

add_custom_command(
    OUTPUT  ${_header}  
    COMMAND ${UIC_EXECUTABLE}
    ARGS -o ${_header} -embed baghira ${_pics}
    DEPENDS ${_pics}
)


##### baghira (kpart)

set_source_files_properties(
    baghira.cpp
    PROPERTIES OBJECT_DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/${_header}
)

tde_add_kpart( baghira AUTOMOC

  SOURCES
        baghira.cpp
        optionHandler.cpp
        polish.cpp utils.cpp
  LINK
     tdecore-shared
     tdeui-shared
     ${X11_XTEST_LIBRARIES}

  DESTINATION ${PLUGIN_INSTALL_DIR}/plugins/styles
)


tde_create_translated_desktop(
    SOURCE baghira.themerc
    DESTINATION ${DATA_INSTALL_DIR}/tdestyle/themes
)
