=== debian/control ===
Source: tde-style-baghira-trinity
Section: tde
Priority: optional
Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
X-Original-Maintainer: Jose Luis Tallon <jltallon@adv-solutions.net>
Build-Depends: tde-cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build, tdebase-trinity-dev, libxtst-dev
Standards-Version: 3.8.0

Package: tde-style-baghira-trinity
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: TDE style for Apple junkies :)
 Based upon mosfet-liquid0.9.6pre4... the last heir of mosfet.
 Baghira includes both an style (custom widgets) and twin decoration as
 well as colour schemes.
 .
 Baghira (panther, in german) makes TDE resemble Apple's MacOS X's Aqua,
 Panther and Jaguar looks, and also includes its own 'Baghira' look
