## tde-style-baghira-trinity 14.1.6~pre0

=== debian/changelog ===
tde-style-baghira-trinity (4:14.1.6~pre0-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for c43d3e02f97df410fc3590e9007f0d0ef458b8d1
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#tde-style-baghira

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200
