## tde-style-baghira-trinity 14.1.6~pre3

=== debian/changelog ===
tde-style-baghira-trinity (4:14.1.6~pre3-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for 5f3a57e3c155d169d12934640277606f5835c32a
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#tde-style-baghira

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 11 Jan 2026 22:32:12 +0100
