## tde-style-baghira-trinity 14.2.0~pre90

=== config/CMakeLists.txt ===
--- 
+++ 
@@ -27,7 +27,7 @@
 add_custom_command(
     OUTPUT  ${_header}  
     COMMAND
-      ${UIC_EXECUTABLE} -embed baghira ${_pics} |
+      ${TQUIC_EXECUTABLE} -embed baghira ${_pics} |
       ${SED_EXECUTABLE}
         -e 's|void qInitImages_baghira|static void qInitImages_baghira|'
         -e 's|void qCleanupImages_baghira|static void qCleanupImages_baghira|'
