=== deco/CMakeLists.txt ===
--- 
+++ 
@@ -49,19 +49,19 @@
 
 add_custom_command(
     OUTPUT  ${_header}  
-    COMMAND ${UIC_EXECUTABLE}
+    COMMAND ${TQUIC_EXECUTABLE}
     ARGS -o ${_header} -embed baghira ${_pics}
     DEPENDS ${_pics}
 )
 
-##### twin3_baghira (kpart)
+##### twin_baghira (kpart)
 
 set_source_files_properties(
     baghiraclient.cpp
     PROPERTIES OBJECT_DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/${_header}
 )
 
-tde_add_kpart( twin3_baghira AUTOMOC
+tde_add_kpart( twin_baghira AUTOMOC
 
   SOURCES
         baghiraclient.cpp
