=== style/CMakeLists.txt ===
--- 
+++ 
@@ -69,7 +69,7 @@
 
 add_custom_command(
     OUTPUT  ${_header}  
-    COMMAND ${UIC_EXECUTABLE}
+    COMMAND ${TQUIC_EXECUTABLE}
     ARGS -o ${_header} -embed baghira ${_pics}
     DEPENDS ${_pics}
 )
