=== deco/config/CMakeLists.txt ===

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIBRARY_DIRS}
)


##### pixmaps.h (header)

set( _pics ${CMAKE_SOURCE_DIR}/imagebase/icon_help
           ${CMAKE_SOURCE_DIR}/imagebase/preview
           ${CMAKE_SOURCE_DIR}/imagebase/preview-menu
)

set( _header pixmaps.h )

add_custom_command(
    OUTPUT  ${_header}  
    COMMAND ${TQUIC_EXECUTABLE}
    ARGS -o ${_header} -embed baghira ${_pics}
    DEPENDS ${_pics}
)

##### twin_baghira_config (kpart)

set_source_files_properties(
    baghiraconfig.cpp
    PROPERTIES OBJECT_DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/${_header}
)

tde_add_kpart( twin_baghira_config AUTOMOC

  SOURCES
        configdialog.ui
        baghiraconfig.cpp
        aquariusbutton.cpp
        colorpicker.cpp
  LINK
     tdecore-shared
     tdeui-shared

  DESTINATION ${PLUGIN_INSTALL_DIR}
)
