=== debian/changelog ===
tde-style-baghira-trinity (4:14.2.0~pre90-0ubuntu26.04.0+7~a) resolute; urgency=low

  * Automated git build for a1d880e2d6bf7d09ac8ca6f683f411700215d152
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#tde-style-baghira

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Sep 2025 20:29:16 +0200
