## tde-style-baghira-trinity 14.2.0~pre91

=== debian/changelog ===
tde-style-baghira-trinity (4:14.2.0~pre91-0ubuntu26.04.0+7~a) resolute; urgency=low

  * Automated git build for 46a12a2a70c69fc280ffa8aa4a47f6d955d11457
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#tde-style-baghira

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Dec 2025 05:11:17 +0100
