## tde-style-baghira-trinity 14.2.0~pre93

=== debian/changelog ===
tde-style-baghira-trinity (4:14.2.0~pre93-0ubuntu26.04.0+7~a) resolute; urgency=low

  * Automated git build for cf03478dd7b81d917e05d607c1fa559ebbc6b941
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#tde-style-baghira

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 11 Jan 2026 20:51:10 +0100
